Currently, this API is not yet enabled.
Google checks with the reseller if a subscription signup is authorized. Note: The domain name below should be replaced with the partner domain name with the same path.
HTTP request
POST https://paymentsresellersubscription.googleapis.com/v1/{parent=partners/*}/subscriptions:authorizeSignup
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource name, which is the identifier of the partner. It will have the format of "partners/{partner_id}". |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requestId": string,
"subscription": {
object ( |
| Fields | |
|---|---|
requestId |
Required. A random UUID to uniquely identify the request. The idempotency key for the request. So in case of retries, requestId will be same as previous one. |
subscription |
Required. Details of the subscription signup. |
Response body
Contains the reseller's determination as to whether the subscription signup should be approved.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"authorizationResult": enum ( |
| Fields | |
|---|---|
authorizationResult |
Required. The reseller's authorization result for subscription signup request. |
subscriptionId |
Sets the id only if the authorization is approved. The id assigned by the partner for the authorized subscription. The subscription notification from Cloud pubsub notification message will contain the resource name with this id. |